package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 试验-稽查轨迹对象 t_study_jcgj
 *
 * @author hxhq
 * @date 2025-12-30
 */
@TableName("t_study_jcgj")
public class StudyJcgj extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 所属试验 */
    private Long studyId;

    /** 稽查轨迹类型:1:流程；3：编辑；5：人员 */
    private Integer jcgjlx;

    /** 稽查名称 */
    private String jcmc;

    /** 稽查名称-英文 */
    private String jcmcEn;

    /** 稽查名称颜色：1：蓝色；3：红色；5：绿色；7：橙色 */
    private Integer jcmcys;

    /** 稽查内容 */
    private String jcnr;

    /** 稽查内容-英文 */
    private String jcnrEn;

    /** 签名人id */
    private Long qmrId;

    /** 签名人名称 */
    private String qmrMc;

    /** 签名人名称-英文 */
    private String qmrMcEn;


    public void setStudyId(Long studyId)
    {
        this.studyId = studyId;
    }

    public Long getStudyId()
    {
        return studyId;
    }

    public Integer getJcgjlx() {
        return jcgjlx;
    }

    public void setJcgjlx(Integer jcgjlx) {
        this.jcgjlx = jcgjlx;
    }

    public void setJcmc(String jcmc)
    {
        this.jcmc = jcmc;
    }

    public String getJcmc()
    {
        return jcmc;
    }

    public String getJcmcEn() {
        return jcmcEn;
    }

    public void setJcmcEn(String jcmcEn) {
        this.jcmcEn = jcmcEn;
    }

    public Integer getJcmcys() {
        return jcmcys;
    }

    public void setJcmcys(Integer jcmcys) {
        this.jcmcys = jcmcys;
    }

    public void setJcnr(String jcnr)
    {
        this.jcnr = jcnr;
    }

    public String getJcnr()
    {
        return jcnr;
    }

    public String getJcnrEn() {
        return jcnrEn;
    }

    public void setJcnrEn(String jcnrEn) {
        this.jcnrEn = jcnrEn;
    }

    public void setQmrId(Long qmrId)
    {
        this.qmrId = qmrId;
    }

    public Long getQmrId()
    {
        return qmrId;
    }

    public void setQmrMc(String qmrMc)
    {
        this.qmrMc = qmrMc;
    }

    public String getQmrMc()
    {
        return qmrMc;
    }

    public String getQmrMcEn() {
        return qmrMcEn;
    }

    public void setQmrMcEn(String qmrMcEn) {
        this.qmrMcEn = qmrMcEn;
    }
}
